Subject: Re: Why isn't 'jch' based on 'next'?

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Apr 2021 12:46:30 -0700

Junio C Hamano <[email-masked]> writes:

> So if we reset 'seen' at 'master' and merge the tip of these topics
> into it, the tree of the empty commit that is marked with "### match
> next" marker should match the tree of 'next', or something is still
> wrong (most likely, a mismerge).  Also, the order topics are merged
> into 'next' may not be necessarily the order they appear in 'seen'.
> Every time I rebuild 'seen' from 'master', I have a chance to reorder
> these topics so that the ones that are expected to graduate sooner
> come near the bottom.

This is so that I can "git checkout seen~40" (or whereever point
that has all the topics scheduled to be in 'master' and nothing
else) and run tests, to simulate what happens if these topics
graduate to 'master'.

> By ensuring "### match next" and 'next' matches, even though they
> came to their trees in different route, I can spot a mismerge that
> is waiting to happen soon when a topic graduates to 'master'.